Please upgrade the JavaScript engine to ES6

Community Beginner ,
Mar 10, 2022 Mar 10, 2022

Copy link to clipboard

Copied

The current ES3 is torturous.

 

BTW, I noticed that there are multiple json2.jsx files in the program folder, which means some scripts built in Illustrator are relying on them. So, if it is not possible to upgrade the JS engine to ES6, can json2.jsx be built into the JS engine? In this way, both Adobe developers and external developers no longer need to "include" this file.

TOPICS
Feature request , Scripting

Views

54

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Mar 10, 2022 Mar 10, 2022

Copy link to clipboard

Copied

LATEST

sorry but there's almost zero chance that will happen, you can post your request to the uservoice forum though.

https://illustrator.uservoice.com/forums/333657-illustrator-desktop-feature-requests

 

if you need to use ES6, there's CEP for now until it gets replaced by UXP in the near future.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines